### Method

# PangoOT RulesetDescription copy

since: 1.18

#### Declaration [src]

    PangoOTRulesetDescription*
    pango_ot_ruleset_description_copy (
      const PangoOTRulesetDescription* desc
    )

#### Description [src]

Creates a copy of `desc`, which should be freed with `pango_ot_ruleset_description_free()`.

Primarily used internally by `pango_ot_ruleset_get_for_description()` to cache rulesets for ruleset descriptions.

Available since: 1.18

#### Return value

Type: `PangoOTRulesetDescription`

The newly allocated `PangoOTRulesetDescription`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.